<div class="header-search" navkeyboard>
	<div class="br-input input-highlight has-icon">
		<label for="searchbox">Texto da pesquisa</label>
		<div class="input-icon">
			<i class="fas fa-search" aria-hidden="true"></i>
		</div>
		<input
			id="searchbox"
			type="text"
			#input
			(keyup)="searchOnType($event, input.value)"
			[value]="this.state?.query"
			placeholder="O que você procura?"
			submitTitle="Pesquisar"
			resetTitle="Limpar"
			autocomplete="off"
			aria-autocomplete="list"
		/>
		<div class="br-list">
			<div class="br-item load d-none">
				<div class="row justify-content-center">
					<div class="loading"></div>
					<div>Carregando...</div>
				</div>
			</div>
			<ais-infinite-hits showMoreLabel="Mais resultados..." *ngIf="this.state?.query">
				<ng-template
					let-hits="hits"
					let-results="results"
					let-refinePrevious="showPrevious"
					let-refineNext="showMore"
				>
					<!-- Nenhum resultado para a busca -->
					<div class="br-item" *ngIf="hits.length === 0">Nenhum resultado encontrado.</div>

					<!-- Lista de itens encontrados -->
					<ng-container *ngFor="let hit of hits">
						<!-- Verificar se o Label da Página Buscada está mapeado no índice do Algolia-->
						<a class="br-item" tabindex="-1" [href]="hit.url" *ngIf="hit.label">
							<div class="row align-items-center">
								<div class="col-auto">
									<i
										class="fas fa-home text-interactive"
										aria-hidden="true"
										*ngIf="this.hit.url && this.hit.url.includes('home')"
									></i>
									<i
										class="fas fa-info-circle text-interactive"
										aria-hidden="true"
										*ngIf="this.hit.url && this.hit.url.includes('introducao')"
									></i>
									<i
										class="fas fa-play text-interactive"
										aria-hidden="true"
										*ngIf="this.hit.url && this.hit.url.includes('como-comecar')"
									></i>
									<i
										class="fas fa-download text-interactive"
										aria-hidden="true"
										*ngIf="this.hit.url && this.hit.url.includes('downloads')"
									></i>
									<i
										class="fas fa-palette text-interactive"
										aria-hidden="true"
										*ngIf="this.hit.url && this.hit.url.includes('fundamentos')"
									></i>
									<i
										class="fas fa-award text-interactive"
										aria-hidden="true"
										*ngIf="this.hit.url && this.hit.url.includes('padroes')"
									></i>
									<i
										class="fas fa-cubes text-interactive"
										aria-hidden="true"
										*ngIf="this.hit.url && this.hit.url.includes('components')"
									></i>
									<i
										class="fas fa-table text-interactive"
										aria-hidden="true"
										*ngIf="this.hit.url && this.hit.url.includes('templates')"
									></i>
									<i
										class="fas fa-wrench text-interactive"
										aria-hidden="true"
										*ngIf="this.hit.url && this.hit.url.includes('utilitarios')"
									></i>
									<i
										class="fas fa-hiking text-interactive"
										aria-hidden="true"
										*ngIf="
											this.hit.slug &&
											(this.hit.slug.includes('guias') ||
												this.hit.slug.includes('manuais-orientadores'))
										"
									></i>
									<i
										class="fas fa-gavel text-interactive"
										aria-hidden="true"
										*ngIf="this.hit.slug && this.hit.slug.includes('legislacao')"
									></i>
									<i
										class="fas fa-clock text-interactive"
										aria-hidden="true"
										*ngIf="this.hit.url && this.hit.url.includes('release-notes')"
									></i>
									<i
										class="fas fa-universal-access text-interactive"
										aria-hidden="true"
										*ngIf="
											this.hit.url &&
											this.hit.url.includes('acessibilidade') &&
											!this.hit.url.includes('components') &&
											!this.hit.url.includes('guias')
										"
									></i>
								</div>
								<div class="col">
									<div class="category" *ngIf="this.hit.url && this.hit.url.includes('home')">
										Home
									</div>
									<div class="category" *ngIf="this.hit.url && this.hit.url.includes('introducao')">
										Introdução
									</div>
									<div class="category" *ngIf="this.hit.url && this.hit.url.includes('como-comecar')">
										Como Começar
									</div>
									<div
										class="category"
										*ngIf="
											this.hit.slug
												? this.hit.slug.endsWith('downloads')
												: this.hit.url.endsWith('downloads')
										"
									>
										Download
									</div>
									<div class="category" *ngIf="this.hit.url && this.hit.url.includes('fundamentos')">
										Fundamento
									</div>
									<div class="category" *ngIf="this.hit.url && this.hit.url.includes('padroes')">
										Padrão
									</div>
									<div class="category" *ngIf="this.hit.url && this.hit.url.includes('components')">
										Componente
									</div>
									<div class="category" *ngIf="this.hit.url && this.hit.url.includes('templates')">
										Template
									</div>
									<div class="category" *ngIf="this.hit.url && this.hit.url.includes('utilitarios')">
										Utilitário
									</div>
									<div
										class="category"
										*ngIf="
											this.hit.slug &&
											(this.hit.slug.includes('guias') ||
												this.hit.slug.includes('manuais-orientadores'))
										"
									>
										Guia
									</div>
									<div class="category" *ngIf="this.hit.slug && this.hit.slug.includes('legislacao')">
										Legislação
									</div>
									<div
										class="category"
										*ngIf="this.hit.url && this.hit.url.includes('release-notes')"
									>
										Release Note
									</div>
									<div
										class="category"
										*ngIf="
											this.hit.url &&
											this.hit.url.includes('/acessibilidade') &&
											!this.hit.url.includes('guias')
										"
									>
										Acessibilidade
									</div>
									<span>{{ hit.label }}</span>
								</div>
							</div>
						</a>
					</ng-container>
				</ng-template>
			</ais-infinite-hits>
		</div>
	</div>
	<button
		class="br-button circle search-close ml-1"
		type="button"
		aria-label="Fechar Busca"
		data-dismiss="search"
		(click)="closeSearch()"
	>
		<i class="fas fa-times" aria-hidden="true"></i>
	</button>
</div>
